Center for Learning, Experimentation, Application, and Research

Canvas App and Browser Compatibility

Canvas Browser Compatibility

Canvas runs under modern web browsers and devices, and you can see which browser you are using at the bottom right of this screen. As outlined in the Canvas guide, below are system requirements and available updates to make your device compatible with Canvas. By default, Canvas will support the most current version of your preferred browser.

Browser Links to Update Browser
Chrome 76 and 77 Chrome
Firefox 68 and 69 (extended releases are not supported) Firefox
Flash 31 and 32 (used for recording or viewing audio/video and uploading files) Adobe Flash Player
Edge 44 (Windows only) Microsoft Edge
Respondus Lockdown Browser (supporting the latest system requirements) Respondus Lockdown Browser
Safari 12 and 13 (Macintosh only) Safari

For more information please see the Canvas Community's information on browser compatibility.

Note: Some supported browsers may still produce a banner stating: "Your browser does not meet the minimum requirements for Canvas." If you have upgraded your browser but you are still seeing the warning banner, try logging out of Canvas and deleting your browser cookies.

Canvas Mobile App Resources

Canvas offers mobile apps for students and instructors; instead of opening Canvas within a mobile browser, it is recommended that users download the instructor app ("Canvas Teacher") or student app ("Canvas"). Visit the Apple or Google Play store on your smartphone to download the app, and take a look at the Canvas Community's Mobile Guides for support!

Mobile Guides: Canvas Instructor App

Mobile Guides: Canvas Student App

Mobile Device Compatibility

If it is necessary to view Canvas via a mobile browser, the following major browsers are compatible with the mobile version of Canvas:

iOS Android
Safari (default browser with limited Canvas support) Chrome (default browser with limited Canvas support)
Chrome Internet
Photon Flash Player Firefox